// @ts-ignore
import drupal from "typed-drupal-core/source/drupal.core.drupal";

declare global {

  namespace drupal {

    namespace Core {

      export interface IBehaviors {
        [key: string]: IBehavior,
        a12sPatternsForm: drupal.Core.IBehavior & {
          formInputChangeEvent(e: HTMLElement): void;
        },
      }

    }

  }

  interface Window {

    once(id: string, selector: NodeList|Array<Element>|Element|string, context: Document|DocumentFragment|Element): Array<HTMLElement>;

  }

}
