(function(Drupal, once) {

  "use strict";

  /**
   * Drupal's behavior for current theme.
   *
   * @type {Drupal~behavior}
   */
  Drupal.behaviors.a12sPatterns = {

    attach(context): void {
      // Define a variable that represents the full document when Drupal
      // behaviors were called first.
      let htmlOnce = once('a12s-patterns', 'html', context);

      if (htmlOnce.length) {
        htmlOnce[0].classList.add('loaded');
      }
    }
  };

})(window.Drupal, window.once);
